This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 137972 - French man pages aren't utf8 encoded
French man pages aren't utf8 encoded
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-03 10:10 EST by Alain Portal
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 14:34:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alain Portal 2004-11-03 10:10:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
French man pages are still ISO8859-15 encoded.
I have a look in spec file and I saw that only ja pages are converted.
Why?

Version-Release number of selected component (if applicable):
shadow-utils-4.0.3-21

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
    

Additional info:
Comment 1 Eido Inoue 2004-11-03 11:05:07 EST
They're converted in the latest -38 release in rawhide.

Are the fr pages really in 8859-15? Or just the 8859-1 (latin1) subset?
Comment 2 Alain Portal 2004-11-03 11:20:20 EST
I am not sure. Perhaps it is just latin1. 
Is this really important? 
If yes, the only way to know which encoding is used is to contact the 
translators and ask them. 
 
Thank for a so quick answer. 
Comment 3 Eido Inoue 2004-11-03 14:34:55 EST
comment 2: Current rawhide versions do convert french to UTF-8. The
spec file assumes the French is encoded in Latin-1 when it builds (and
converts the source to UTF-8). If in fact the pages were encoded in
Latin-9 (ISO-8859-15) and characters from it that were not in Latin-1
were used, they would be converted to UTF-8 incorrectly and it would
be a bug.

Note You need to log in before you can comment on or make changes to this bug.